Update CRM note
PATCH
/v1/crm/object-types/{objectKind}/records/{objectID}/notes/{noteID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
objectKindstringrequiredobjectIDstringrequirednoteIDstringrequiredRequest body
requiredapplication/jsonbodystringrequiredbody_richCRMRichTextShow propertiesHide properties
jsonanyrequiredplain_textstringrequiredtypestringrequiredtargetsCRMActivityTargetInput[] | nullShow propertiesHide properties
Array of
CRMActivityTargetInputobject_idstringrequiredobject_kindstringrequiredtitlestringResponses
200OK
bodystringrequiredbody_richCRMRichTextShow propertiesHide properties
jsonanyrequiredplain_textstringrequiredtypestringrequiredcreated_atstringrequiredcreated_bystringidstringrequiredobject_idstringobject_kindstringtargetsCRMActivityTarget[] | nullrequiredShow propertiesHide properties
Array of
CRMActivityTargetcreated_atstringrequiredcreated_bystringidstringrequiredobject_idstringrequiredobject_kindstringrequiredupdated_atstringrequiredtitlestringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/crm/object-types/string/records/string/notes/string" \
-H "Content-Type: application/json" \
-d '{
"body": "string",
"body_rich": {
"json": "string",
"plain_text": "string",
"type": "string"
},
"targets": [
{
"object_id": "string",
"object_kind": "string"
}
],
"title": "string"
}'const response = await fetch("/v1/crm/object-types/string/records/string/notes/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"body": "string",
"body_rich": {
"json": "string",
"plain_text": "string",
"type": "string"
},
"targets": [
{
"object_id": "string",
"object_kind": "string"
}
],
"title": "string"
})
});import requests
response = requests.patch(
"/v1/crm/object-types/string/records/string/notes/string",
headers={
"Content-Type": "application/json"
},
json={
"body": "string",
"body_rich": {
"json": "string",
"plain_text": "string",
"type": "string"
},
"targets": [
{
"object_id": "string",
"object_kind": "string"
}
],
"title": "string"
},
)Response
{
"body": "string",
"body_rich": {
"json": "string",
"plain_text": "string",
"type": "string"
},
"created_at": "string",
"created_by": "string",
"id": "string",
"object_id": "string",
"object_kind": "string",
"targets": [
{
"created_at": "string",
"created_by": "string",
"id": "string",
"object_id": "string",
"object_kind": "string",
"updated_at": "string"
}
],
"title": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}